using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace tak2
{
    internal class Program
    {

        static int BinarnaZaPrviVeci (int vrednost, int[] niz)
        {

            int l = 0, d = niz.Length, sr = 0;
            while (l < d)
            {
                sr = (l + d) / 2;

                if (vrednost < niz[sr])
                {
                    if (sr > 0 && vrednost > niz[sr - 1]) return sr;
                    d = sr;
                }
                else
                {
                    if (sr < niz.Length - 1 && vrednost < niz[sr + 1]) return sr + 1;
                    l = sr + 1;
                }
            }

            return sr;
        }

        static void Main(string[] args)
        {
            string[] nizUlaz = Console.ReadLine().Split();
            int n = Convert.ToInt32(nizUlaz[0]);
            int q = Convert.ToInt32(nizUlaz[1]);
            int[] a = new int[n];
            Array.Sort(a);
            int[] b = new int[q];
            nizUlaz = Console.ReadLine().Split();
            for (int i = 0; i < n; i++)
            {
                a[i] = Convert.ToInt32(nizUlaz[i]);
            }
            nizUlaz = Console.ReadLine().Split();
            for (int i = 0; i < q; i++)
            {
                b[i] = Convert.ToInt32(nizUlaz[i]);
            }

            int medijana = n % 2 == 0 ? a[a.Length / 2 + 1] : a[a.Length / 2];
            int index;

            foreach (int broj in b)
            {
                if (medijana == broj) Console.WriteLine(0);
                else
                {
                    index = Array.BinarySearch(a, broj);
                    if (index >= 0)
                    {
                        if (broj > medijana) Console.WriteLine(2 * index - n);
                        else Console.WriteLine(n - 2 * index - 1);
                    }
                    else
                    {
                        if (broj > a[a.Length - 1]) Console.WriteLine(n);
                        else if (broj < a[0]) Console.WriteLine(n - 1);
                        else
                        {
                            if (broj > medijana) Console.WriteLine(BinarnaZaPrviVeci(broj, a) - 1);
                            else Console.WriteLine(n - 2 * BinarnaZaPrviVeci(broj, a) + 1);
                        }
                    }
                }
            }
            Console.ReadLine();
        }
    }
}